f725e3
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
f725e3
From: Vladimir Serbinenko <phcoder@gmail.com>
f725e3
Date: Thu, 31 Dec 2015 18:13:59 +0100
f725e3
Subject: [PATCH] Strip .ARM.exidx
f725e3
f725e3
This section is generated by clang and is useful only for debugging.
f725e3
It contains exotic relocations, so strip them to avoid them interferring
f725e3
with module loading.
f725e3
---
f725e3
 gentpl.py              | 2 +-
f725e3
 grub-core/genmod.sh.in | 2 +-
f725e3
 2 files changed, 2 insertions(+), 2 deletions(-)
f725e3
f725e3
diff --git a/gentpl.py b/gentpl.py
f725e3
index 889cc91d39c..58430fcd236 100644
f725e3
--- a/gentpl.py
f725e3
+++ b/gentpl.py
f725e3
@@ -753,7 +753,7 @@ def image(defn, platform):
f725e3
 if test x$(TARGET_APPLE_LINKER) = x1; then \
f725e3
   $(MACHO2IMG) $< $@; \
f725e3
 else \
f725e3
-  $(TARGET_OBJCOPY) $(""" + cname(defn) + """_OBJCOPYFLAGS) --strip-unneeded -R .note -R .comment -R .note.gnu.build-id -R .reginfo -R .rel.dyn -R .note.gnu.gold-version $< $@; \
f725e3
+  $(TARGET_OBJCOPY) $(""" + cname(defn) + """_OBJCOPYFLAGS) --strip-unneeded -R .note -R .comment -R .note.gnu.build-id -R .MIPS.abiflags -R .reginfo -R .rel.dyn -R .note.gnu.gold-version -R .ARM.exidx $< $@; \
f725e3
 fi
f725e3
 """)
f725e3
 
f725e3
diff --git a/grub-core/genmod.sh.in b/grub-core/genmod.sh.in
f725e3
index 7dcafd9d370..005cb198504 100644
f725e3
--- a/grub-core/genmod.sh.in
f725e3
+++ b/grub-core/genmod.sh.in
f725e3
@@ -58,7 +58,7 @@ if test x@TARGET_APPLE_LINKER@ != x1; then
f725e3
 		-K grub_mod_init -K grub_mod_fini \
f725e3
 		-K _grub_mod_init -K _grub_mod_fini \
f725e3
 		-R .note.gnu.gold-version -R .note.GNU-stack \
f725e3
-		-R .note -R .comment $tmpfile || exit 1
f725e3
+		-R .note -R .comment -R .ARM.exidx $tmpfile || exit 1
f725e3
 	fi
f725e3
 	if ! test -z "${TARGET_OBJ2ELF}"; then
f725e3
 	    "${TARGET_OBJ2ELF}" $tmpfile || exit 1